Description

hallo
i'm trying DEV3 for the first time with Eclipse (3.3.2 downloaded yesterday from http://downloads.zend.com/pdt/all-in-one/)
and i'm having this error installing it:

(i attach two screenshots)

stefano

Associated revisions
Revision 929 - 2008-06-27 14:16 - David Bruehlmeier

Changed version number to 0.2.0 (see bug #883)

Revision 929 - 2008-06-27 14:16 - David Bruehlmeier

Changed version number to 0.2.0 (see bug #883)

Revision 930 - 2008-06-27 14:16 - David Bruehlmeier

Synchronized version numbers of plugins (see bug #883)

Revision 930 - 2008-06-27 14:16 - David Bruehlmeier

Synchronized version numbers of plugins (see bug #883)

Revision 931 - 2008-06-27 14:18 - David Bruehlmeier

Synchronized version numbers of plugins (see bug #883)

Revision 931 - 2008-06-27 14:18 - David Bruehlmeier

Synchronized version numbers of plugins (see bug #883)

History
#1 - 2008-06-27 12:10 - Sebastian Böttger
- Due date set to 2008-06-30
- Category set to Installation Issues
- Status changed from New to Accepted
- Assigned To set to David Bruehlmeier
- % Done changed from 0 to 70
- Estimated time changed from 0.00 to 1.00

feature.xml got wrong version number. fixed and now testing

#2 - 2008-06-27 14:15 - David Bruehlmeier

This bug cannot be reproduced with the same Eclipse Installation, but on Windows XP.

It is true that the version number of the plugin org.typo3.forge.dev3 does not match with the version number in the feature. Maybe the Mac-related
code reacts differently to this situation than the XP-related code?

I have now corrected the version number issue. Please test again, using the latest code from the update site (http://www.dev3.org/update/). Please
install using the Eclipse Update Manager.

#3 - 2008-06-27 14:37 - Stefano Cecere

thanks david

installing it from http://www.dev3.org/update/ it works!

stefano

#4 - 2008-06-27 14:41 - David Bruehlmeier
- Status changed from Accepted to Resolved
- % Done changed from 70 to 100

#5 - 2008-06-28 01:57 - Stefano Cecere
- File Picture_7.png added
- File Picture_8.png added

i'm sorry but it isn't resolved..

see in the screenshots what happens when i select DEV3 in the preferences, or Create new package..

thanks
stefano

ps: eclipse 3.3.2 Build id: M20080221-1800 on os x 10.5.3 Intel

stefano

#6 - 2008-06-28 08:55 - David Bruehlmeier
- Status changed from Resolved to Accepted
- % Done changed from 100 to 50

#7 - 2008-06-28 09:43 - David Bruehlmeier

Hi Stefano,

can you please attach the configuration details of your Eclipse installation (Help > About Eclipse Platform > Configuration Details).

Thanks!
Dave

#8 - 2008-06-28 10:17 - Stefano Cecere
- File stefano_eclipse_configuration.txt added

ciao David
here it is my Eclipse configuration (attached file)
s

#9 - 2008-06-28 11:16 - David Bruehlmeier

Hi Stefano,

you have Java version 5 installed, but I am compiling with version 6. The error in the screenshot Picture_7.png usually occurs from differente JRE
versions.

Can you please update your JRE and test again? I think the JRE for Mac can be downloaded here:

http://developer.apple.com/java/download/

Regards, Dave

#10 - 2008-06-28 13:50 - Stefano Cecere

Java 6 for osx 10.5.2 is only for 64 bit intel CPUs right now...

i see if i can find Java 6 for "still normal" 32bit machines...

thanks
s

#11 - 2008-07-02 11:57 - patrick lischka

hi everybody,

i can confirm these bug. I have the same problems with the installation on my mac.

regards
patrick
#12 - 2008-07-18 10:49 - David Bruehlmeier
- Target version changed from 0.2 to 1.0

#13 - 2008-07-18 11:29 - David Bruehlmeier
- Target version deleted (1.0)

#14 - 2008-07-25 11:30 - patrick lischka

the bug still exist in version 1.0.0

is there anybody out there who runs dev3 on a mac?

regards
patrick

#15 - 2008-08-05 07:39 - David Bruehlmeier
- Status changed from Accepted to Resolved
- % Done changed from 50 to 100
- Estimated time changed from 1.00 to 8.00

This bug should be resolved with the new version 1.0.1 (available from the update site: http://www.dev3.org/update/). In this version, I have backported
the features from Java6 to Java5, since Java5 is not yet available for Mac.
